# Fibora

[![Documentation](https://docs.rs/fibora/badge.svg)](https://docs.rs/fibora)
[![Code Coverage](https://codecov.io/gh/UltiRequiem/fibora/branch/main/graph/badge.svg?token=M09A42VRUL)](https://codecov.io/gh/UltiRequiem/fibora)

Utilities for the Fibonacci Number and Sequence 🔢

### Install 👇

```sh
cargo install fibora
```

### Usage

```rust
use fibora::fibonacci;

for i in 0..10 {
    println!("{:#?}", fibonacci(i));
}
```

## CLI

You already installed the CLI while installing the library 😆

### Usage

```sh
fibora 10 # [1.0, 1.0, 2.0, 3.0, 5.0, 8.0, 13.0, 21.0, 34.0, 55.0]
```

[Video Showcase](https://youtu.be/jlLx-uppbMU)

## Support

Open an Issue, I will check it a soon as possible 👀

If you want to hurry me up a bit
[send me a tweet](https://twitter.com/UltiRequiem) 😆

Consider [supporting me on Patreon](https://patreon.com/UltiRequiem) if you like
my work 🙏

Don't forget to start the repo ⭐

## Versioning

We use [Semantic Versioning](http://semver.org). For the versions available, see
the [tags](https://github.com/UltiRequiem/timezones/tags) 🏷️

## Authors

[Eliaz Bobadilla](https://ultirequiem.com) - Creator and Maintainer 💪

See also the full list of
[contributors](https://github.com/UltiRequiem/fibora/contributors) who
participated in this project ✨

## Related

I also made a [JavaScript](https://github.com/UltiRequiem/fibonacci-deno) and
[Go](https://github.com/UltiRequiem/fibonacci) version 🆙

## Licence

Licensed under the MIT License 📄
